kmem_cache_alloc
Prev | The Slab Cache | Next

## Name

kmem_cache_alloc — Allocate an object

## Synopsis

`void * kmem_cache_alloc (` | struct kmem_cache * | cachep,
| gfp_t | flags`)`;

## Arguments

`cachep`

  The cache to allocate from.

`flags`

  See `kmalloc`.

## Description

Allocate an object from this cache. The flags are only relevant if the cache has no available objects.

Prev | Up | Next
kmem_cache_destroy | Home | kmem_cache_free